﻿using System;
using FunnyCommon.Remoting.Protocol;
using FunnyCommon.Shared;

namespace FunnyCommon.Remoting.Interfaces
{
    public interface IRemoteGpoutManager : IPiGpoutManager
    {
        Response SendCommand(Command command);

        Response[] SendCommandBulk(Command[] commands);

        IDisposable CreateBulk(int estimateMaxCount = 10);

    }
}