using System.Runtime.InteropServices;

namespace WiringPi
{
    /// <summary>
    ///  Provides the ability to use the Software Tone functions in WiringPi
    /// </summary>
    public class Tone
    {
        [DllImport("libwiringPi.so", EntryPoint = "softToneCreate")]
        public static extern int softToneCreate(int pin);

        [DllImport("libwiringPi.so", EntryPoint = "softToneWrite")]
        public static extern void softToneWrite(int pin, int freq);
    }
}