﻿using System;
using FunnyCommon.Local;
using FunnyCommon.Remoting.Networking;

namespace FunnyGpoutServer
{
    internal static class Program
    {
        private static void Main(string[] args)
        {
            Console.WriteLine("Creating server instance...");
            using (var svr = new Server(new PiGpoutManager(255)) { Log = Console.Out })
            {
                Console.WriteLine("Starting...");
                svr.Start(6910);
                Console.WriteLine("Started on TCP:6910 Port, press ENTER to stop and exit.");
                Console.ReadLine();
                svr.Stop();
            }
        }
    }
}